net.sourceforge.pmd.dcd.graph

## Class ClassNodeComparator

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.ClassNodeComparator

All Implemented Interfaces:
  Comparator

    public final class ClassNodeComparator
    extends Object
    implements Comparator

Compares ClassNodes by the name of the class. Can also compare String class names to ClassNodes.

### Field Summary

Fields
`static ClassNodeComparator` `INSTANCE`

### Method Summary

Methods
`int` `compare(Object obj1, Object obj2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final ClassNodeComparator INSTANCE

### Method Detail

#### compare

    public int compare(Object obj1,
              Object obj2)

Specified by:
  `compare` in interface `Comparator`